loci.formats.in

## Class SlideBook7Reader.CChannelDef70

- java.lang.Object
- - loci.formats.in.SlideBook7Reader.ClassDecoder
  - - loci.formats.in.SlideBook7Reader.CChannelDef70

- Enclosing class:
    SlideBook7Reader

      class SlideBook7Reader.CChannelDef70
      extends SlideBook7Reader.ClassDecoder

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.Integer` | `mByteOrdering`
    `java.lang.String` | `mCameraName`
    `SlideBook7Reader.CFluorDef70` | `mFluorDef`
    `java.lang.String` | `mName`
    `java.lang.Integer` | `mStructID`
    `java.lang.Integer` | `mStructLen`
    `java.lang.Integer` | `mStructVersion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CChannelDef70()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `Decode(org.yaml.snakeyaml.nodes.MappingNode inNode, int inStartIndex)`

    - ### Methods inherited from class loci.formats.in.SlideBook7Reader.ClassDecoder

      `Decode, DecodeUnknownString, FindNextClass, GetDoubleArray, GetFloatArray, GetIntegerArray, GetIntegerValue, GetLongArray, GetSBClassName, GetStringArray, GetStringValue, RestoreSpecialCharacters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mStructID

          public java.lang.Integer mStructID

    - #### mStructVersion

          public java.lang.Integer mStructVersion

    - #### mByteOrdering

          public java.lang.Integer mByteOrdering

    - #### mStructLen

          public java.lang.Integer mStructLen

    - #### mName

          public java.lang.String mName

    - #### mCameraName

          public java.lang.String mCameraName

    - #### mFluorDef

          public SlideBook7Reader.CFluorDef70 mFluorDef

  - ### Constructor Detail

    - #### CChannelDef70

          CChannelDef70()

  - ### Method Detail

    - #### Decode

          public int Decode(org.yaml.snakeyaml.nodes.MappingNode inNode,
                            int inStartIndex)

      Overrides:
        `Decode` in class `SlideBook7Reader.ClassDecoder`

Copyright © 2026 Open Microscopy Environment